#include <context.h>

#include "accommodation.h"
#include <QDebug>

#include "data/person.h"
#include "accommodationservice.h"

#include "accgrid.h"
#include "acform.h"

Accommodation::Accommodation()
{
}

void Accommodation::initServiceUi()
{
    AccGrid *grid = new AccGrid();
    AcForm *form = new AcForm();

    grid->setForm(form);
    AccommodationService *service = new AccommodationService();
    m_service = service;
    m_ui = grid;
}
/*
QWidget *Accommodation::ui()
{
    QWidget *ui = IPlugin::ui();
    AccGrid *form = qobject_cast<AccGrid*>(ui);

    form->fillData();

    return ui;
}
*/
